<div class="container">
  <form class="example-container" [formGroup]="form" (ngSubmit)="agregar()">
    <div class="example-flex-container">
      <mat-form-field class="input-num" appearance="fill">
        <mat-label>Cantidad de niveles</mat-label>
        <input
          matInput
          type="number"
          formControlName="niveles"
          placeholder="0"
          name="niveles"
          min="1"
          max="100"
          [class.is-invalid]="validarNiveles"
          
        >
        <mat-error *ngIf="validarNiveles">{{alert1}}</mat-error>
      </mat-form-field>
      <button type="submit" class="btn-agregar" mat-raised-button color="primary">Agregar</button>
    </div>

    <div class="example-flex-container">
      <mat-form-field class="input-num" appearance="fill">
        <mat-label>Cantidad de Repeticiones</mat-label>
        <input
          matInput
          type="number"
          formControlName="repeticiones"
          placeholder="0"
          name="niveles"
          min="1"
          max="100"
          [class.is-invalid]="validarRepeticion"
        >
        <mat-error *ngIf="validarRepeticion">{{alert2}}</mat-error>
      </mat-form-field>
    </div>

    <div class="example-flex-container">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Valor 1</mat-label>
        <input
          matInput
          formControlName="valor1"
        >
        <mat-error>Valor requerido</mat-error>
      </mat-form-field>
      <mat-form-field class="example-full-width espace" appearance="fill">
        <mat-label>Valor 2</mat-label>
        <input
          matInput
          formControlName="valor2"
        >
        <mat-error>Valor requerido</mat-error>
      </mat-form-field>
    </div>
    
    <div class="example-flex-container">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Valor 3</mat-label>
        <input
          matInput
          formControlName="valor3"
        >
        <mat-error>Valor requerido</mat-error>
      </mat-form-field>
      <mat-form-field class="example-full-width espace" appearance="fill">
        <mat-label>Valor 4</mat-label>
        <input
          matInput
          formControlName="valor4"
        >
        <mat-error>Valor requerido</mat-error>
      </mat-form-field>
    </div>
    <div class="example-ripple-container mat-elevation-z4 grupo">
      <mat-tree
        class="example-tree"
        [dataSource]="nestedDataSource"
        [treeControl]="nestedTreeControl"
      >
        <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
        {{node.name}}
        </mat-tree-node>

        <mat-nested-tree-node *matTreeNodeDef="let node; when: hasNestedChild">
          <div class="mat-tree-node">
            <button type="button" mat-icon-button matTreeNodeToggle>
              <mat-icon>
                {{ !nestedTreeControl.isExpanded(node) ? "expand_more": "chevron_right" }}
              </mat-icon>
            </button>
            {{node.name}}
          </div>
          <div class="nested-node" [class.example-tree-invisible]="!nestedTreeControl.isExpanded(node)">
            <ng-container matTreeNodeOutlet>

            </ng-container>
          </div>
        </mat-nested-tree-node>
      </mat-tree>
    </div>
  </form>
</div>